import AbstractProtocol from './AbstractProtocol';
import ProtocolError from './ProtocolError';

export class Response<ID> extends AbstractProtocol<ID> {
  private result: any;
  protected error: ProtocolError;

  public constructor(response: Response<ID>) {
    super(response.id);
    if (response.protocol !== this.Protocol) {
      throw new Error(`Protocol is not match[${response.protocol}]`);
    }
    this.result = response.result;
    this.error = response.error;
  }

  /**
   * getError
   */
  public get Result(): any {
    return this.result;
  }

  /**
   * getError
   */
  public get Error(): ProtocolError {
    return this.error;
  }
}

export default Response;
