import Action from '@overflow/commons/redux/Action';
import { ReducersMapObject } from 'redux';
import Probe from '@overflow/probe/api/model/Probe';

import * as ReadAllByDomainActionTypes from '../action/read_all_by_domain';
import ReadAllProbeByDomainState, { defaultState as readAllProbeByDomainDefaultState } from '../state/ReadAllByDomain';

const reducer: ReducersMapObject = {
  [ReadAllByDomainActionTypes.REQUEST_SUCCESS]:
  (state: ReadAllProbeByDomainState = readAllProbeByDomainDefaultState, action: Action<Probe>):
    ReadAllProbeByDomainState => {
    return {
      ...state,
      probeList: <Probe[]>action.payload,
    };
  },
  [ReadAllByDomainActionTypes.REQUEST_FAILURE]:
  (state: ReadAllProbeByDomainState = readAllProbeByDomainDefaultState, action: Action<Error>):
    ReadAllProbeByDomainState => {
    return state;
  },
};

export default reducer;
